@import url('https://fonts.googleapis.com/css2?family=Roboto+Condensed:ital,wght@0,100..900;1,100..900&family=Ubuntu:ital,wght@0,300;0,400;0,500;0,700;1,300;1,400;1,500;1,700&display=swap');

@keyframes hoverchange {
  from {border-color:#000000;}
  to {
    border-color: darkslateblue;
    color: darkslateblue;
    border-radius: 10px;
    background-color: rgba(71, 61, 139, 0.05);
}
}

@keyframes hoverchange-other {
  from {border-color:#000000;}
  to {
    border-color: darkslateblue;
    border-radius: 10px;
}
}

a {
    text-decoration: underline;
    color: darkslateblue;
}

.profile-pic {
    width: 50px;
    height: 50px;
    border-radius: 25%;
    margin-right: 10px;
    border: 1px solid #000000;
    float:left;
}

body {
    background-image: url("background.png");
    background-size: cover;
}

.container {
    margin-left: 10px;
    grid-column-gap: 10px;
    grid-row-gap: 10px;
    grid-template-columns: 1fr 1fr 1fr;
    grid-template-rows: 100px 1fr;
    display: grid;
}

p {
    margin: 0px;
}

.transparent {
    opacity: 0.25;
}

.about-me {
    border: 1px solid #000000;
    padding: 10px;
    font-family: "Ubuntu", sans-serif;
    grid-column: 1 / 4;
}

.about-me:hover {
    animation-name: hoverchange;
    animation-duration: 0.5s;
    animation-fill-mode: forwards;
}

.portfolio {
    border: 1px solid #000000;
    padding: 10px;
    font-family: "Ubuntu", sans-serif;
    grid-row: 2 / 5;
}

.portfolio:hover {
    animation-name: hoverchange-other;
    animation-duration: 0.5s;
    animation-fill-mode: forwards;
}

.contact {
    border: 1px solid #000000;
    padding: 10px;
    font-family: "Ubuntu", sans-serif;
    grid-column: 2/3;
    grid-row: 2 / 5;
}

.contact:hover {
    animation-name: hoverchange-other;
    animation-duration: 0.5s;
    animation-fill-mode: forwards;
}
.me {
    border: 1px solid #000000;
    padding: 10px;
    font-family: "Ubuntu", sans-serif;
    grid-column: 3/4;
    grid-row: 2 / 5;
}

.me:hover {
    animation-name: hoverchange-other;
    animation-duration: 0.5s;
    animation-fill-mode: forwards;
}


#name {
    margin-left: 50px;
}

.big {
    font-size: 50px;
    line-height: 1.2;
    margin-top: 0px;
    margin-bottom: 0px;
}

.medium {
    font-size: 20px;
    line-height: 1.6;
}

.small {
    font-size: 10px;
    line-height: 1.7;
}

.sub-text {
    font-size: 10px;
    opacity: 0.25;
    line-height: 1.7;
}

.ubuntu-light {
  font-family: "Ubuntu", sans-serif;
  font-weight: 300;
  font-style: normal;
}

.ubuntu-regular {
  font-family: "Ubuntu", sans-serif;
  font-weight: 400;
  font-style: normal;
}

.ubuntu-medium {
  font-family: "Ubuntu", sans-serif;
  font-weight: 500;
  font-style: normal;
}

.ubuntu-bold {
  font-family: "Ubuntu", sans-serif;
  font-weight: 700;
  font-style: normal;
}

.ubuntu-light-italic {
  font-family: "Ubuntu", sans-serif;
  font-weight: 300;
  font-style: italic;
}

.ubuntu-regular-italic {
  font-family: "Ubuntu", sans-serif;
  font-weight: 400;
  font-style: italic;
}

.ubuntu-medium-italic {
  font-family: "Ubuntu", sans-serif;
  font-weight: 500;
  font-style: italic;
}

.ubuntu-bold-italic {
  font-family: "Ubuntu", sans-serif;
  font-weight: 700;
  font-style: italic;
}